pg_convert
pg_copy_to
PostgreSQL Functions
PHP Manual

# pg_copy_from

(PHP 4 >= 4.2.0, PHP 5)

pg_copy_from — Insert records into a table from an array

### Description

bool pg_copy_from ( resource `$connection` , string `$table_name` , array `$rows` [, string `$delimiter` [, string `$null_as` ]] )

pg_copy_from() inserts records into a table from `rows`. It issues a COPY FROM SQL command internally to insert records.

### Parameters

`connection`

  PostgreSQL database connection resource.

`table_name`

  Name of the table into which to copy the `rows`.

`rows`

  An array of data to be copied into `table_name`. Each value in `rows` becomes a row in `table_name`. Each value in `rows` should be a delimited string of the values to insert into each field. Values should be linefeed terminated.

`delimiter`

  The token that separates values for each field in each element of `rows`. Default is TAB.

`null_as`

  How SQL NULL values are represented in the `rows`. Default is \N ("\\N").

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 pg_copy_from() example

`<?php
$db = pg_connect("dbname=publisher") or die("Could not connect");
$rows = pg_copy_to($db, $table_name);
pg_query($db, "DELETE FROM $table_name");
pg_copy_from($db, $table_name, $rows);
?>`

### See Also

- pg_copy_to() - Copy a table to an array

pg_convert
pg_copy_to
PostgreSQL Functions
PHP Manual